# TODO may want to expose other outputs from the aws_dynamodb_table
#
# id
# stream_arn
# stream_label

output "arn" {
  value = aws_dynamodb_table.table.arn
}

output "stream_arn" {
  value = var.stream_enabled ? join("", aws_dynamodb_table.table.*.stream_arn) : ""
}

output "read_only_policy" {
  value = var.enable_iam_policies ? aws_iam_policy.read-only-policy[0].arn : ""
}

output "read_write_policy" {
  value = var.enable_iam_policies ? aws_iam_policy.read-write-policy[0].arn : ""
}